Skip to main content
`Ctrl`+`K`

# SNESNASMSetSubdomains

Manually Set the context required to restrict and solve subdomain problems in the nonlinear additive Schwarz solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetSubdomains(SNES snes, PetscInt n, SNES subsnes[], VecScatter iscatter[], VecScatter oscatter[], VecScatter gscatter[])

Logically Collective

## Input Parameters

- snes - the `SNES` context

- n - the number of local subdomains

- subsnes - solvers defined on the local subdomains

- iscatter - scatters into the nonoverlapping portions of the local subdomains

- oscatter - scatters into the overlapping portions of the local subdomains

- gscatter - scatters into the (ghosted) local vector of the local subdomain

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMGetSubdomains()`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMSetSubdomains_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages